package biz.hammurapi.jms.adapter.tutorial;

import biz.hammurapi.jms.adapter.Processor;
import biz.hammurapi.util.ExceptionSink;

/**
 * Receives object and prints it to console
 * @author Pavel
 */
public class SampleProcessor implements Processor, ExceptionSink {

	public Object process(Object obj) {
		System.out.println(obj);
		return null;
	}

	public void consume(Object source, Exception e) {
		e.printStackTrace();
	}

}
