package biz.hammurapi.jms.adapter.tutorial;

import biz.hammurapi.jms.adapter.Processor;

/**
 * Receives object and prints it to console. Returns object length if 
 * object is string. Throws exception otherwise.
 * @author Pavel
 */
public class ServiceProcessor implements Processor {

	public Object process(Object obj) {
		System.out.println(obj);
		if (obj instanceof String) {
			return new Integer(((String) obj).length());
		} else {
			throw new IllegalArgumentException(obj==null ? "Request is null" : "Unexpected request type: "+obj.getClass());
		}
	}

}
